Mint Linux 安装 DotnetCore 遭遇无法修正错误,因为您要求某些软件包保持现状,就是它们破坏了软件包间的依赖关系

evlon@evlon-ThinkPad-T530 ~ $ apt install dotnet-dev-1.0.0-preview2-003121
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
有一些软件包无法被安装。如果您用的是 unstable 发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们已被从新到(Incoming)目录移出。
下列信息可能会对解决问题有所帮助:

下列软件包有未满足的依赖关系:
dotnet-dev-1.0.0-preview2-003121 : 依赖: dotnet-sharedframework-microsoft.netcore.app-1.0.0 但是它将不会被安装
E: 无法修正错误,因为您要求某些软件包保持现状,就是它们破坏了软件包间的依赖关系。

分析

evlon@evlon-ThinkPad-T530 ~ $ sudo apt install dotnet-sharedframework-microsoft.netcore.app-1.0.0
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
有一些软件包无法被安装。如果您用的是 unstable 发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们已被从新到(Incoming)目录移出。
下列信息可能会对解决问题有所帮助:

下列软件包有未满足的依赖关系:
dotnet-sharedframework-microsoft.netcore.app-1.0.0 : 依赖: libicu52 (>= 52~m1-1~) 但无法安装它
E: 无法修正错误,因为您要求某些软件包保持现状,就是它们破坏了软件包间的依赖关系。

evlon@evlon-ThinkPad-T530 ~ $ sudo apt install libicu52
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
没有可用的软件包 libicu52,但是它被其它的软件包引用了。
这可能意味着这个缺失的软件包可能已被废弃,
或者只能在其他发布源中找到

E: 软件包 libicu52 没有可安装候选

添加软件源:

您可以使用以下列表中的任何一个源镜像只要往您的 /etc/apt/sources.list 文件中像下面这样添加一行:

deb http://security.ubuntu.com/ubuntu trusty-security main

成功安装

evlon@evlon-ThinkPad-T530 ~ $ apt install dotnet-dev-1.0.0-preview2-003121
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
将会同时安装下列软件:
dotnet-host dotnet-hostfxr-1.0.1 dotnet-sharedframework-microsoft.netcore.app-1.0.0 libcurl3 liblldb-3.6 libllvm3.6v5 liblttng-ust-ctl2
liblttng-ust0 liburcu4
下列【新】软件包将被安装:
dotnet-dev-1.0.0-preview2-003121 dotnet-host dotnet-hostfxr-1.0.1 dotnet-sharedframework-microsoft.netcore.app-1.0.0 libcurl3 liblldb-3.6
libllvm3.6v5 liblttng-ust-ctl2 liblttng-ust0 liburcu4
升级了 0 个软件包,新安装了 10 个软件包,要卸载 0 个软件包,有 345 个软件包未被升级。
需要下载 55.5 MB 的归档。
解压缩后会消耗 171 MB 的额外空间。
您希望继续执行吗? [Y/n] y
获取:1 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial-updates/main amd64 libcurl3 amd64 7.47.0-1ubuntu2.1 [185 kB]
获取:2 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial/main amd64 libllvm3.6v5 amd64 1:3.6.2-3ubuntu2 [8,075 kB]
获取:3 https://apt-mo.trafficmanager.net/repos/dotnet-release trusty/main amd64 dotnet-host amd64 1.0.1-1 [34.5 kB]
获取:4 https://apt-mo.trafficmanager.net/repos/dotnet-release trusty/main amd64 dotnet-hostfxr-1.0.1 amd64 1.0.1-1 [130 kB]
获取:5 https://apt-mo.trafficmanager.net/repos/dotnet-release trusty/main amd64 dotnet-sharedframework-microsoft.netcore.app-1.0.0 amd64 1.0.0-1 [22.6 MB]
获取:6 https://apt-mo.trafficmanager.net/repos/dotnet-release trusty/main amd64 dotnet-dev-1.0.0-preview2-003121 amd64 1.0.0-preview2-003121-1 [17.0 MB]
获取:2 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial/main amd64 libllvm3.6v5 amd64 1:3.6.2-3ubuntu2 [8,075 kB]
获取:7 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial/main amd64 liblldb-3.6 amd64 1:3.6.2-3ubuntu2 [7,303 kB]
获取:8 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial/universe amd64 liburcu4 amd64 0.9.1-3 [47.3 kB]
获取:9 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial/universe amd64 liblttng-ust-ctl2 amd64 2.7.1-1 [72.2 kB]
获取:10 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial/universe amd64 liblttng-ust0 amd64 2.7.1-1 [127 kB]
已下载 52.5 MB,耗时 2分 24秒 (362 kB/s)
正在选中未选择的软件包 libcurl3:amd64。
(正在读取数据库 ... 系统当前共安装有 208497 个文件和目录。)
正准备解包 .../libcurl3_7.47.0-1ubuntu2.1_amd64.deb ...
正在解包 libcurl3:amd64 (7.47.0-1ubuntu2.1) ...
正在选中未选择的软件包 libllvm3.6v5:amd64。
正准备解包 .../libllvm3.6v5_1%3a3.6.2-3ubuntu2_amd64.deb ...
正在解包 libllvm3.6v5:amd64 (1:3.6.2-3ubuntu2) ...
正在选中未选择的软件包 liblldb-3.6。
正准备解包 .../liblldb-3.6_1%3a3.6.2-3ubuntu2_amd64.deb ...
正在解包 liblldb-3.6 (1:3.6.2-3ubuntu2) ...
正在选中未选择的软件包 liburcu4:amd64。
正准备解包 .../liburcu4_0.9.1-3_amd64.deb ...
正在解包 liburcu4:amd64 (0.9.1-3) ...
正在选中未选择的软件包 liblttng-ust-ctl2:amd64。
正准备解包 .../liblttng-ust-ctl2_2.7.1-1_amd64.deb ...
正在解包 liblttng-ust-ctl2:amd64 (2.7.1-1) ...
正在选中未选择的软件包 liblttng-ust0:amd64。
正准备解包 .../liblttng-ust0_2.7.1-1_amd64.deb ...
正在解包 liblttng-ust0:amd64 (2.7.1-1) ...
正在选中未选择的软件包 dotnet-host。
正准备解包 .../dotnet-host_1.0.1-1_amd64.deb ...
正在解包 dotnet-host (1.0.1-1) ...
正在选中未选择的软件包 dotnet-hostfxr-1.0.1。
正准备解包 .../dotnet-hostfxr-1.0.1_1.0.1-1_amd64.deb ...
正在解包 dotnet-hostfxr-1.0.1 (1.0.1-1) ...
正在选中未选择的软件包 dotnet-sharedframework-microsoft.netcore.app-1.0.0。
正准备解包 .../dotnet-sharedframework-microsoft.netcore.app-1.0.0_1.0.0-1_amd64.deb ...
正在解包 dotnet-sharedframework-microsoft.netcore.app-1.0.0 (1.0.0-1) ...
正在选中未选择的软件包 dotnet-dev-1.0.0-preview2-003121。
正准备解包 .../dotnet-dev-1.0.0-preview2-003121_1.0.0-preview2-003121-1_amd64.deb ...
正在解包 dotnet-dev-1.0.0-preview2-003121 (1.0.0-preview2-003121-1) ...
正在处理用于 libc-bin (2.23-0ubuntu3) 的触发器 ...
正在处理用于 man-db (2.7.5-1) 的触发器 ...
正在设置 libcurl3:amd64 (7.47.0-1ubuntu2.1) ...
正在设置 libllvm3.6v5:amd64 (1:3.6.2-3ubuntu2) ...
正在设置 liblldb-3.6 (1:3.6.2-3ubuntu2) ...
正在设置 liburcu4:amd64 (0.9.1-3) ...
正在设置 liblttng-ust-ctl2:amd64 (2.7.1-1) ...
正在设置 liblttng-ust0:amd64 (2.7.1-1) ...
正在设置 dotnet-host (1.0.1-1) ...
正在设置 dotnet-hostfxr-1.0.1 (1.0.1-1) ...
正在设置 dotnet-sharedframework-microsoft.netcore.app-1.0.0 (1.0.0-1) ...
正在设置 dotnet-dev-1.0.0-preview2-003121 (1.0.0-preview2-003121-1) ...
This software may collect information about you and your use of the software, and send that to Microsoft.
Please visit http://aka.ms/dotnet-cli-eula for more information.
正在处理用于 libc-bin (2.23-0ubuntu3) 的触发器 ...

posted @ 2016-09-12 10:05 阿牛 阅读(...) 评论(...) 编辑 收藏